<%@ Assembly Name="estruyf.QuiesceFarm, Version=1.0.0.0, Culture=neutral, PublicKeyToken=22d720dbab8dfe5e" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="QuiesceFarmPage.aspx.cs" Inherits="estruyf.QuiesceFarm.Layouts.estruyf.QuiesceFarm.QuiesceFarmPage" MasterPageFile="~/_admin/admin.master" %>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    Quiesce Farm
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
    Quiesce Farm
</asp:Content>

<asp:content ID="Content1" contentplaceholderid="PlaceHolderAdditionalPageHead" runat="server">
    <style>
        .QuiesceControls { padding: 5px; width: 50%; }
        .QuiesceStatus .Normal { color: Green; }
        .QuiesceStatus .Quiescing { color: Orange; }
        .QuiesceStatus .Quiesced { color: Red; }
        .CancelBtn { float: right; }
    </style>
    <SCRIPT>
        function ValidateEndTime(source, args) {
            args.IsValid = false;
            try {
                var intTimeout = 1 * args.Value;
                if (isFinite(intTimeout)) {
                    if (intTimeout >= 0 && intTimeout <= 1440) {
                        args.IsValid = true;
                    }
                }
            }
            catch (exception) {
                args.IsValid = false;
            }
        }
    </SCRIPT>
</asp:content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="ms-propertysheet">
	    <tbody>
            <tr>
			    <td height="1" colspan="2" class="ms-sectionline"><img width="1" height="1" alt="" src="/_layouts/images/blank.gif"></td>
		    </tr>
		    <tr>
			    <td valign="top" class="ms-descriptiontext">
				    <table width="100%" cellspacing="0" cellpadding="1" border="0">
					    <tbody>
						    <tr>
							    <td valign="top" height="22" style="padding-top: 4px;" class="ms-sectionheader">
								    <h3 class="ms-standardheader ms-inputformheader">Quiesce Farm</h3>
							    </td>
						    </tr>
						
						    <tr>
							    <td class="ms-descriptiontext ms-inputformdescription">Quiesce to take the farm gradually offline for maintenance.</td>
						    </tr>
					    </tbody>
				    </table>
			    </td>
			    <td valign="top" align="left" class="ms-authoringcontrols ms-inputformcontrols QuiesceControls">
                    <p class="QuiesceStatus">Status: <strong><asp:Label ID="lblStatus" runat="server" Text="Normal"></asp:Label></strong></p>
                    <p>Quiesce the farm to stop accepting new user sessions for long running operations.</p>
                    
                    <asp:Panel runat="server" id="pnlNormal">
                        The farm should be fully quiesced after this long (Time in Minutes): 
                        <asp:TextBox ID="tbQuiesceMinutes" runat="server" MaxLength="4" CssClass="ms-input"></asp:TextBox>
                        <asp:CustomValidator 
                            ID="valQuiesceMinutes"
                            CssClass="ms-descriptiontext" 
                            ControlToValidate="tbQuiesceMinutes"
                            ClientValidationFunction="ValidateEndTime"
                            OnServerValidate="InputMinutesValidation"
                            runat="server" 
                            ErrorMessage="CustomValidator">*
                        </asp:CustomValidator>
                    </asp:Panel>

                    <asp:Panel runat="server" id="pnlQuiescing">
                        The farm will be fully quiesced at: 
                        <asp:Label ID="lblTime" runat="server" Text="Label"></asp:Label>
                    </asp:Panel>

                    <p>
                        <asp:Button runat="server" class="ms-ButtonHeightWidth" OnClick="btnQuiesceFarm_Click" Text="Quiesce Farm" id="btnQuiesceFarm" />
                        <asp:Button runat="server" class="ms-ButtonHeightWidth" OnClick="btnStopQuiesce_Click" Text="Stop Quiescing Farm" id="btnStopQuiesce" />
                    </p>
			    </td>
		    </tr>
            <tr>
			    <td height="1" colspan="2" class="ms-sectionline"><img width="1" height="1" alt="" src="/_layouts/images/blank.gif"></td>
		    </tr>
	    </tbody>
    </table>
    <br />
    <div class="CancelBtn">
        <asp:Button runat="server" class="ms-ButtonHeightWidth" OnClientClick="javascript:window.location.href='/systemsettings.aspx';return false;" CausesValidation="false" Text="Cancel" id="btnCancel" />
    </div>
</asp:Content>
